## org.apache.taglibs.standard.lang.jstl
Class BinaryOperator

    java.lang.Object
      org.apache.taglibs.standard.lang.jstl.BinaryOperator

Direct Known Subclasses:
  AndOperator, ArithmeticOperator, DivideOperator, EqualityOperator, IntegerDivideOperator, ModulusOperator, OrOperator, RelationalOperator

    public abstract class BinaryOperator

extends Object

This is the superclass for all binary operators

Version:
  $Change: 181177 $$DateTime: 2001/06/26 08:45:09 $$Author: tcfujii $
Author:
  Nathan Abramson - Art Technology Group

Constructor Summary
`BinaryOperator()` Constructor

Method Summary
`abstract Object` `apply(Object pLeft, Object pRight, Object pContext, Logger pLogger)` Applies the operator to the given pair of values
`abstract String` `getOperatorSymbol()` Returns the symbol representing the operator
`boolean` `shouldCoerceToBoolean()` Returns true if the operator expects its arguments to be coerced to Booleans.
`boolean` `shouldEvaluate(Object pLeft)` Returns true if evaluation is necessary given the specified Left value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BinaryOperator

    public BinaryOperator()

  Constructor

Method Detail

### getOperatorSymbol

    public abstract String getOperatorSymbol()

  Returns the symbol representing the operator

### apply

    public abstract Object apply(Object pLeft,
                                 Object pRight,
                                 Object pContext,
                                 Logger pLogger)
                          throws ELException

  Applies the operator to the given pair of values

  Throws:
    `ELException`

### shouldEvaluate

    public boolean shouldEvaluate(Object pLeft)

  Returns true if evaluation is necessary given the specified Left value. The And/OrOperators make use of this

### shouldCoerceToBoolean

    public boolean shouldCoerceToBoolean()

  Returns true if the operator expects its arguments to be coerced to Booleans. The And/Or operators set this to true.

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.